<script setup>
import { UpdatePage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/product';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new UpdatePage({
            context: this,
            title: this.__('Редактирование'),
            titleField: 'model_number',
            breadcrumbs: [
                {
                    label: this.__('Продукты'),
                    path: 'product/product',
                },
            ],
            model: model,
            http: {
                method: 'PATCH',
                path: 'product/product/:id',
                query: {
                    'with[1]': 'category',
                    'with[2]': 'brand',
                },
            },
            redirectPath: 'product/product',
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons />
    </PageTitle>

    <Item child="form" />
</template>
